local M = {}

local function onReset()
    electrics.values['blocker'] = 0
    electrics.values['blocker_input'] = 0
end

local function updateGFX(dt)
    electrics.values['blocker'] = math.min(1, math.max(0.0, (electrics.values['blocker'] + electrics.values['blocker_input'] * dt * 100000)))
end

-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M
